import 'package:easy_pass_common/app_config.dart';
import 'package:flutter_secure_storage/flutter_secure_storage.dart';
import 'package:get_it/get_it.dart';
import 'package:mockito/mockito.dart';

import '../service/mocks/flutter_storage_mock.dart';

class ServiceTestHelper {
      static final flutterStorageMock = FlutterStorageMock();
      static final testApiUrl = 'test.com';

      static setup() {
        GetIt.instance.registerLazySingleton(() => AppConfig(apiBaseUrl: testApiUrl, child: null));
        GetIt.instance.registerSingleton<FlutterSecureStorage>(flutterStorageMock);
        when(flutterStorageMock.read(key: 'jwt'))
            .thenAnswer((_) => Future.value('test-token')); 
      }
}